#include <fstream>
#include <windows.h>
#include <gl\gl.h>
#include "textures.h"

using namespace std;

int index = 0;
GLuint textures[NUM_TEXTURES];

GLuint GetTexture(int index)
{
	return textures[index];
}

void GenTextures()
{
	glGenTextures(NUM_TEXTURES, textures);
}

GLuint LoadTexture(char *filename, int w, int h)
{
	int size = w * h * 3;
	char *buf = new char[size];

	ifstream in(filename, ios::binary);
	if (!in) return 0;
	in.seekg(0x36, ios::beg);
	in.read(buf, size);
	in.close();
	glBindTexture(GL_TEXTURE_2D, textures[index]);
	glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_LINEAR);
	glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_LINEAR);

	glTexImage2D(GL_TEXTURE_2D, 0, 3, w, h, 0,
        	GL_BGR_EXT, GL_UNSIGNED_BYTE, buf);

	delete buf;
	return textures[index++];
}

